Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
  • Кейсы
  • Документация
  • Блог
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex DataLens
RU
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • 🚧 [Experimental] List Trino clusters
        • 🚧 [Experimental] Get Trino cluster
        • 🚧 [Experimental] Create Trino cluster
        • 🚧 [Experimental] Update Trino cluster
        • 🚧 [Experimental] Delete Trino cluster
        • 🚧 [Experimental] Start Trino cluster
        • 🚧 [Experimental] Stop Trino cluster
        • 🚧 [Experimental] Add REST catalog to Trino cluster
        • 🚧 [Experimental] Delete REST catalog from Trino cluster
        • 🚧 [Experimental] List Trino resource presets
        • 🚧 [Experimental] Get Trino resource preset
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API (англ.)
  3. TrinoClusters
  4. 🚧 [Experimental] Update Trino cluster
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body

🚧 [Experimental] Update Trino cluster

Updates the fields of a Trino cluster named in the update mask (worker configuration, version, retry policy, attached REST catalogs) and returns an asynchronous operation.

RequestRequest

POST

https://api.datalens.tech/rpc/updateTrinoCluster

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "id": "example",
  "updateMask": {
    "paths": [
      "worker_config"
    ]
  },
  "workerConfig": {
    "resources": {
      "resourcePresetId": "example"
    },
    "scalePolicy": {
      "autoScale": {
        "minCount": "example",
        "maxCount": "example"
      }
    }
  },
  "trinoVersion": "example",
  "retryPolicy": {
    "policy": "QUERY"
  },
  "catalogIds": [
    "example"
  ]
}

Name

Description

id

Type: string

ID of the Trino cluster to update.

Min length: 1

Max length: 50

Example: example

updateMask

Type: object

paths

Type: string[]

Fields to update, by their proto names. Each path needs its field in the request, except retry_policy, which is removed when its field is left out; a field without its path is rejected.

Min items: 1

Example
[
  "worker_config"
]

Fields of the Trino cluster to update; the others are left as they are.

Example
{
  "paths": [
    "worker_config"
  ]
}

catalogIds

Type: string[]

IDs of all REST catalogs attached to the cluster after the update.

Max items: 100

Example
[
  "example"
]

retryPolicy

Type: object

policy

Type: string

Enum: QUERY, TASK

Retry policy. Name retry_policy in the update mask and leave this field out to take the policy off the cluster.

Example
{
  "policy": "QUERY"
}

trinoVersion

Type: string

Trino version.

Example: example

workerConfig

Type: object

resources

Type: object

resourcePresetId

Type: string

ID of the Trino resource preset.

Min length: 1

Max length: 50

Example: example

Resources assigned to each worker.

Example
{
  "resourcePresetId": "example"
}

scalePolicy

Type: object

autoScale

Type: object

maxCount

Type: string

Maximum number of worker instances.

Pattern: ^(?:[1-9]|[1-5]\d|6[0-4])$

Example: example

minCount

Type: string

Minimum number of worker instances.

Pattern: ^(?:0|[1-5]?\d|6[0-4])$

Example: example

Example
{
  "minCount": "example",
  "maxCount": "example"
}
Example
{
  "autoScale": {
    "minCount": "example",
    "maxCount": "example"
  }
}

Worker nodes configuration.

Example
{
  "resources": {
    "resourcePresetId": "example"
  },
  "scalePolicy": {
    "autoScale": {
      "minCount": "example",
      "maxCount": "example"
    }
  }
}

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "id": "example",
  "description": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "createdBy": "example",
  "modifiedAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "done": true,
  "metadata": {},
  "error": {
    "code": 0.5,
    "message": "example",
    "details": [
      null
    ]
  },
  "response": {}
}

Name

Description

done

Type: boolean

Whether the operation has completed.

id

Type: string

Unique ID of the operation.

Example: example

metadata

Type: object

[additional]

Type: unknown

Example: null

Service-specific operation metadata.

Example
{}

createdAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the operation was created.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

createdBy

Type: string

ID of the operation creator.

Example: example

description

Type: string

Description of the operation.

Example: example

error

Type: object

code

Type: number

Operation error code.

message

Type: string

Operation error message.

Example: example

details

Type: unknown[]

Additional operation error details.

Example
[
  null
]

Operation error, if the operation failed.

Example
{
  "code": 0.5,
  "message": "example",
  "details": [
    null
  ]
}

modifiedAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the operation was last modified.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

response

Type: object

[additional]

Type: unknown

Example: null

Service-specific operation response.

Example
{}

Была ли статья полезна?

Предыдущая
🚧 [Experimental] Create Trino cluster
Следующая
🚧 [Experimental] Delete Trino cluster
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»